Powered by Stockfish 17 lite NNUE. Free API access is available; paid subscriptions are not enabled.

Documentation / API reference

POST /v1/keys

Auth
Bearer API key (keyless allowed with limits on eval and bestmove)

Request body

FieldTypeDefaultNotes
labelstring
scopesarray
budget_unitsinteger
budget_usdnumber
envlive | test
curl -s https://stockfishapi.com/v1/keys \
  -H "Authorization: Bearer $STOCKFISH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
const res = await fetch("https://stockfishapi.com/v1/keys", {
  method: "POST",
  headers: { Authorization: `Bearer ${process.env.STOCKFISH_API_KEY}`, "Content-Type": "application/json" },
  body: JSON.stringify({}),
});
const data = await res.json();
import os, requests

r = requests.post(
    "https://stockfishapi.com/v1/keys",
    headers={"Authorization": f"Bearer {os.environ['STOCKFISH_API_KEY']}"},
    json={},
)
data = r.json()

Responses

StatusMeaning
201Key created

Errors follow problem+json with next_action.